List Project Permissions
GEThttps://api.confident-ai.com/v1/projects/{projectId}/permissions
Lists every assignable project permission. Permissions are named resource:action (e.g. traces:read) and are the building blocks of project policies.
curl -X GET "https://api.confident-ai.com/v1/projects/{projectId}/permissions" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"permissions": [
{
"id": "perm-uuid-1",
"name": "traces:read",
"description": null
},
{
"id": "perm-uuid-2",
"name": "traces:write",
"description": null
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
permissionslist of objectsList of all available permissions
Show 3 propertiesHide 3 properties
idstringUnique identifier for the permission
namestringThe permission name, formatted as
resource:action(e.g.billing:read)descriptionstringOptional human-readable description of the permission